From 2bac013d24891a833a91eb82bc1c514959a6bcf1 Mon Sep 17 00:00:00 2001
From: Egbert Eich <eich@suse.com>
Date: Wed, 10 Aug 2022 16:37:38 +0200
Subject: [PATCH 14/14] Make sure r_uid is set SLURM_AUTH_UID_ANY for database
 access

Signed-off-by: Egbert Eich <eich@suse.com>
---
 src/plugins/accounting_storage/slurmdbd/slurmdbd_agent.c | 1 +
 1 file changed, 1 insertion(+)

diff --git a/src/plugins/accounting_storage/slurmdbd/slurmdbd_agent.c b/src/plugins/accounting_storage/slurmdbd/slurmdbd_agent.c
index 26c6959ca3..4009b9d7f3 100644
--- a/src/plugins/accounting_storage/slurmdbd/slurmdbd_agent.c
+++ b/src/plugins/accounting_storage/slurmdbd/slurmdbd_agent.c
@@ -618,6 +618,7 @@ static void _open_slurmdbd_conn(bool need_db,
 		else
 			memset(&slurmdbd_conn->trigger_callbacks, 0,
 			       sizeof(slurm_trigger_callbacks_t));
+		slurmdbd_conn->r_uid = SLURM_AUTH_UID_ANY;
 	}
 	slurmdbd_shutdown = 0;
 	slurmdbd_conn->shutdown = &slurmdbd_shutdown;
-- 
2.35.3

